Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class ShutdownSignalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.rabbitmq.client.ShutdownSignalException

All Implemented Interfaces:
  SensibleClone<ShutdownSignalException>, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AlreadyClosedException

    public class ShutdownSignalException

extends java.lang.RuntimeException
implements SensibleClone<ShutdownSignalException>

Encapsulates a shutdown condition for a connection to an AMQP broker. Depending on HardError when calling `getReference()` we will either get a reference to the Connection or Channel instance that fired this exception.

See Also:
  Serialized Form

Constructor Summary
`ShutdownSignalException(boolean hardError, boolean initiatedByApplication, java.lang.Object reason, java.lang.Object ref)` Construct a ShutdownSignalException from the arguments.

Method Summary
`java.lang.Object` | `getReason()`
`java.lang.Object` | `getReference()`
`boolean` | `isHardError()`
`boolean` | `isInitiatedByApplication()`
`ShutdownSignalException` | `sensibleClone()` Like Object.clone but sensible; in particular, public and declared to return the right type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShutdownSignalException

    public ShutdownSignalException(boolean hardError,
                                   boolean initiatedByApplication,
                                   java.lang.Object reason,
                                   java.lang.Object ref)

  Construct a ShutdownSignalException from the arguments.

  Parameters:
    `hardError` - the relevant hard error
    `initiatedByApplication` - if the shutdown was client-initiated
    `reason` - Object describing the origin of the exception
    `ref` - Reference to Connection or Channel that fired the signal

Method Detail

### isHardError

    public boolean isHardError()

  Returns:
    true if this signals a connection error, or false if a channel error

### isInitiatedByApplication

    public boolean isInitiatedByApplication()

  Returns:
    true if this exception was caused by explicit application action; false if it originated with the broker or as a result of detectable non-deliberate application failure

### getReason

    public java.lang.Object getReason()

  Returns:
    the reason object, if any

### getReference

    public java.lang.Object getReference()

  Returns:
    Reference to Connection or Channel object that fired the signal

### sensibleClone

    public ShutdownSignalException sensibleClone()

  Description copied from interface: `SensibleClone`
  Like Object.clone but sensible; in particular, public and declared to return the right type.

  Specified by:
    `sensibleClone` in interface `SensibleClone<ShutdownSignalException>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD